/*****

      $Source: d:\gunther\source\grc/RCS/resfile.h,v $
      $Author: gunther $
      $Date: 1996/01/02 23:17:24 $
      $Revision: 1.1 $

	Changed by: Fred Kiefer (kiefer@isys.de) 1996/6/2

 *****/

#ifndef _RESFILE_H
#define _RESFILE_H

#include <stdio.h>

#include "resnt.h"
#include "Yystype.h"

#ifdef __cplusplus
extern "C" {
#endif

int writePadding(int padding, FILE *);
int writeResourceHeaderTail(ResourceTail *, FILE *);
int readResourceHeaderTail(ResourceTail *, FILE *);
int  writeResourceHeader(DWORD *, DWORD *, wchar_t *, wchar_t *, 
	ResourceTail *, FILE *);
int readResourceHeader(DWORD *, DWORD *, wchar_t *, wchar_t *, 
	ResourceTail *, FILE *);
int writeNameOrId(wchar_t *, FILE *);
int readNameOrId(wchar_t *, FILE *);
int writeICONDIRENTRY(ICONDIRENTRY *, FILE *);
int readICONDIRENTRY(ICONDIRENTRY *, FILE *);
int writeIconHeader(IconHeader *, FILE *);
int readIconHeader(IconHeader *, FILE *);
int writeResourceDirectory(IconResourceDirectory *, FILE *);
int readResourceDirectory(IconResourceDirectory *, FILE *);
int writeCURSORDIRENTRY(CURSORDIRENTRY *, FILE *);
int readCURSORDIRENTRY(CURSORDIRENTRY *, FILE *);
int writeCursorComponent(CursorComponent *, FILE *);
int readCursorComponent(CursorComponent *, FILE *);
int writeCursorResourceDirectory(CursorResourceDirectory *, FILE *);
int readCursorResourceDirectory(CursorResourceDirectory *, FILE *);
int writeDLGITEMTEMPLATE(DLGITEMTEMPLATE *, FILE *);
int readDLGITEMTEMPLATE(DLGITEMTEMPLATE *, FILE *);
int writeDLGTEMPLATE(DLGTEMPLATE *, FILE *);
int readDLGTEMPLATE(DLGTEMPLATE *, FILE *);
int writeDLGFONT(DLGFONT *, FILE *);
int readDLGFONT(DLGFONT *, FILE *);
int writeMenuHeader(MenuHeader *, FILE *);
int readMenuHeader(MenuHeader *, FILE *);
int writeaccel_entry(ACCELTABLEENTRY*, FILE *);
int readaccel_entry(ACCELTABLEENTRY*, FILE *);
int writeVersionEntry(version_entry *vs, FILE *f);

#ifdef __cplusplus
}
#endif

#endif

